<?php

namespace App\Http\Controllers\Steps;

use App\Classes\Modules\OrderSteps\ControllersLogic\CompletesStepLogic;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class CompletesStepController
{
    /**
     * @param Request $request
     * @param CreateOrderLogic $logic
     * @return JsonResponse
     */
    public function complete(Request $request, int $id, CompletesStepLogic $logic): JsonResponse
    {
        $request->request->add(['id'=>$id]);
        return $logic->execute($request);
    }
}
